## MacPorts-1.9.0-beta1.tar.bz2

=== src/macports1.0/Makefile ===
SRCS=		macports.tcl macports_dlist.tcl macports_util.tcl \
		macports_autoconf.tcl macports_index.tcl macports_fastload.tcl
OBJS=		macports.o get_systemconfiguration_proxies.o sysctl.o
SHLIB_NAME=	MacPorts${SHLIB_SUFFIX}

INSTALLDIR=	${DESTDIR}${datadir}/macports/Tcl/macports1.0
INSTALLPKGLINK=	${TCL_PACKAGE_DIR}/macports1.0

include ../../Mk/macports.autoconf.mk
include ../../Mk/macports.tea.mk

ifeq ($(OBJC_RUNTIME), APPLE_RUNTIME)
	LIBS+= -framework CoreFoundation -framework SystemConfiguration
endif

pkgIndex.tcl: $(SRCS)

test::
	${TCLSH} tests/macports_dlist.tcl
	${TCLSH} tests/macports_util.tcl

distclean:: clean
	rm -f macports_autoconf.tcl macports_fastload.tcl ${SHLIB_NAME}

install:: all
	$(INSTALL) -d -o ${DSTUSR} -g ${DSTGRP} -m ${DSTMODE} ${INSTALLDIR}

	$(SILENT) set -x; for file in ${SRCS}; do \
		$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 $$file ${INSTALLDIR}/$$file; \
	done

	$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 pkgIndex.tcl ${INSTALLDIR}

	echo "${TCL_PACKAGE_DIR}" > ${DESTDIR}${prefix}/var/macports/.tclpackage
	if test -z "${DESTDIR}" && test "${INSTALLPKGLINK}" != "${INSTALLDIR}" && test -w "${TCL_PACKAGE_DIR}"; then \
		if ! test -L "${INSTALLPKGLINK}" && test -d "${INSTALLPKGLINK}"; then \
			rm -rf "${INSTALLPKGLINK}" || true; \
		fi; \
		if ! test -e "${INSTALLPKGLINK}"; then \
			ln -s "${INSTALLDIR}" "${INSTALLPKGLINK}" || true; \
		fi; \
	fi

=== src/portindex/Makefile ===
INSTALL     = /usr/bin/install -c
PREFIX     ?= /Library/WebServer/Documents/ports
cgibin      = $(PREFIX)/cgi-bin
portindex   = $(PREFIX)/index
portfiles   = $(PREFIX)/files
srcdir      = .

all: portregister.cgi portsubmit.cgi initialize.sql register.html

%.cgi: %.pl
	@ echo $@
	@ cat $< | sed "/@@PREFIX@@/s//$(subst /,\/,$(PREFIX))/" > $@

install: all
	mkdir -p ${DESTDIR}$(PREFIX)
	chown www:www ${DESTDIR}$(PREFIX)
	chmod 0775 ${DESTDIR}$(PREFIX)
	$(INSTALL) -m 644 register.html ${DESTDIR}$(PREFIX)
	mkdir -p ${DESTDIR}$(cgibin)
	chown www:www ${DESTDIR}$(cgibin)
	chmod 0775 ${DESTDIR}$(cgibin)
	$(INSTALL) -m 755 portsubmit.cgi ${DESTDIR}$(cgibin)
	$(INSTALL) -m 755 portregister.cgi ${DESTDIR}$(cgibin)
	mkdir -p ${DESTDIR}$(portindex)
	chown www:www ${DESTDIR}$(portindex)
	chmod 0775 ${DESTDIR}$(portindex)
	mkdir -p ${DESTDIR}$(portfiles)
	chown www:www ${DESTDIR}$(portfiles)
	chmod 0775 ${DESTDIR}$(portfiles)
	$(INSTALL) -m 644 initialize.sql ${DESTDIR}$(portindex)

clean:
	rm -f *.cgi

=== src/registry2.0/Makefile ===
# $Id: Makefile 66844 2010-04-23 15:43:27Z jmr@macports.org $

SRCS = registry.tcl registry_autoconf.tcl registry_util.tcl receipt_flat.tcl receipt_sqlite.tcl portimage.tcl portuninstall.tcl
OBJS = registry.o util.o \
	entry.o entryobj.o \
	../cregistry/cregistry.a
	#graph.o graphobj.o

SHLIB_NAME= registry${SHLIB_SUFFIX}
INSTALLDIR= ${DESTDIR}${datadir}/macports/Tcl/registry2.0

include ../../Mk/macports.autoconf.mk
include ../../Mk/macports.tea.mk

pkgIndex.tcl: $(SRCS)

CFLAGS+=	${SQLITE3_CFLAGS}
LIBS+=	${SQLITE3_LIBS}

.PHONY: test

test:: ${SHLIB_NAME}
	${TCLSH} tests/entry.tcl ${SHLIB_NAME}
	${TCLSH} tests/depends.tcl ${SHLIB_NAME}

distclean:: clean
	rm -f registry_autoconf.tcl

install:: all
	[ ! -d $(DESTDIR)${datadir}/macports/Tcl/registry1.0 ] || rm -vrf $(DESTDIR)${datadir}/macports/Tcl/registry1.0
	$(INSTALL) -d -o ${DSTUSR} -g ${DSTGRP} -m ${DSTMODE} ${INSTALLDIR}
	$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 ${SHLIB_NAME} ${INSTALLDIR}
	$(SILENT) set -x; for file in ${SRCS}; do \
		$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 $$file ${INSTALLDIR}/$$file; \
	done
	$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 pkgIndex.tcl ${INSTALLDIR}

=== tests/test/trace/Portfile ===
# $Id: Portfile 24948 2007-05-09 02:22:50Z pguyot@kallisys.net $

PortSystem 1.0
name		trace
version		1
categories	test
maintainers	pguyot@kallisys.net
description	Test port for -t
homepage	http://www.macports.org/
platforms	darwin

long_description ${description}

fetch		{}
checksum	{}
extract		{}
configure	{}
build		{}
destroot	{
	system "touch ${destroot}${prefix}/lib/${name}"
}

test {
	catch {system "touch create-trace"}
	catch {system "rm delete-trace"}
	system "touch /tmp/hello-trace"
	system "rm /tmp/hello-trace"
	system "ln -s /usr/include/ link-trace"
	system "rm /tmp/link-trace2"
	catch {system "mkdir mkdir-trace"}
	catch {system "rmdir rmdir-trace"}
	catch {system "mv rename-trace rename-new-trace"}
	catch {system "DYLD_INSERT_LIBRARIES= touch create-trace-modenv"}
	system "mkdir -p /usr/bin"
}

=== tests/test/universal/Portfile ===
# $Id: Portfile 23968 2007-04-14 03:34:33Z pguyot@kallisys.net $

PortSystem 1.0
name		universal
version		1
categories	test
maintainers	pguyot@kallisys.net
description	Test port for universal variant
homepage	http://www.macports.org/
platforms	darwin

long_description ${description}

fetch		{}
checksum	{}
extract		{}
configure	{}
build		{}
destroot	{
	system "touch ${destroot}${prefix}/lib/${name}"
}

test		{}

default_variants +universal
